I am a postdoc in the [Department of Computer
Science](https://www.cs.cornell.edu/) at [Cornell
University](https://www.cornell.edu/), hosted by [Nate
Foster](http://www.cs.cornell.edu/~jnfoster/), [Bobby
Kleinberg](http://www.cs.cornell.edu/~rdk/), and [Dexter
Kozen](http://www.cs.cornell.edu/~kozen/).

**I will be joining the University of Wisconsin--Madison in Fall 2018 as an
assistant professor. Looking for good students!**

Previously, I was a postdoc in the [Programming Principles, Logic, and
Verification Group](http://pplv.cs.ucl.ac.uk/welcome/) at the [University
College London](https://www.ucl.ac.uk/), hosted by [Alexandra
Silva](http://www.alexandrasilva.org/). I was a graduate student in the
[Department of Computer Science](https://cis.upenn.edu) at the [University of
Pennsylvania](https://www.upenn.edu), associated with the [Theory
Group](http://theory.cis.upenn.edu), the [PL
Club](https://www.cis.upenn.edu/~plclub/), and the [Privacy
Group](http://privacy.cis.upenn.edu). I was very fortunate to be co-advised by
[Benjamin Pierce](https://cis.upenn.edu/~bcpierce) and [Aaron
Roth](https://cis.upenn.edu/~aaroth).

## Research Interests ##
My research spans two classical areas of computer science: **algorithms** from
theoretical computer science (commonly known as **TCS**) and **formal
verification**. My work has mostly centered on [**differential
privacy**](https://en.wikipedia.org/wiki/Differential_privacy), a rigorous
definition of privacy that is currently under extensive study.

From the verification side, I investigate formal methods---such as [**type
systems**](https://en.wikipedia.org/wiki/Type_system) and [**program
logics**](https://en.wikipedia.org/wiki/Hoare_logic)---to verify that programs
are differentially private. More generally, I consider formal verification for
properties of randomized algorithms, including **incentive compatibility**,
Markov chain **mixing**, and various notions of **algorithmic stability**.  From
the algorithms side, I apply differential privacy to optimization, machine
learning, and mechanism design.

## Service ##
- **LICS 2018** PC
- **WWW 2018** PC
- **FCS 2017** PC
- **TPDP 2017** PC
- **MFPS 2017** PC
- **PLDI 2016** ERC
